#!/usr/bin/ksh
###################################################################
# Name: 	Korn shell script mqllmaint2jar.ksh 
# Created:      2002/03/16 by Tim von Niessen
# Descr:        External archival for MQ Linear Logfile Maintenance
###################################################################
# Capture input from STDIN or as run parameters
ARGS=''
while read ARG ; do
	ARGS="$ARGS $ARG"	
done <&0
if [ $# -eq 0 -a "$ARGS" = '' ] ; then 
	echo No files specified for cleanup
	exit 1
elif [ "$ARGS" = '' ] ; then
	ARGS="$*"
fi
# Define output file, create .jar & delete files
TIMESTAMP=`date +"%Y%m%d-%H%M%S"`
ARCHFILE="/var/mqm/log/archive/MQLINEARLOGS_$TIMESTAMP.jar"

jar -cvf $ARCHFILE $ARGS
rm $*
###################################################################
exit $?